Subject: Regarding using .so file in gcc
From: Magesh K <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 12 Mar 2008 02:52:16 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Hi,

I am porting an linux based application to Windows. My
application uses a third party library (having an
dynamic library .so file). When I compile my code in
cygwin using g++, I am not able to link the .so file
using –l, -L, -shared or –static option. 

 When I read through the user manual or googled it, I
can’t find any info how to link .so file in cygwin
(under windows). On further analysis, I got a doubt
that if I can use .so file in cygwin directly or need
to use the .dll equivalent of the .so (for instance,
for the third party). Please clarify my query which is

 

1.       How to link .so file in cygwin?

2.       Can I link .so in g++ under cygwin or do I
need to use any other compiler/way?

3.        Is .so acceptable to link or I need to use
.dll equivalent in cygwin?

Thanks and Regards,

Magesh

      ____________________________________________________________________________________
Be a better friend, newshound, and 
know-it-all with Yahoo! Mobile.  Try it now.  http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/